INTERFACE
SUBROUTINE DIGFIL(KSTEP,KDIGLST,KSUB,PSPA3,PSPD2D,PSPA1,LDIAB)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFD2D ,NFLSUR ,NSPEC2 ,NS3D
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KDIGLST
INTEGER(KIND=JPIM),INTENT(IN) :: KSUB
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA3(NFLSUR,NSPEC2,NS3D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPD2D(NSPEC2,NFD2D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA1(NFLEVL,2)
LOGICAL ,INTENT(IN) :: LDIAB
END SUBROUTINE DIGFIL
END INTERFACE
